TAU_MAPPING(3)

NAME
TAU_MAPPING - Encapsulates a C++ statement for profiling

SYNOPSIS

C/C++:

TAU_MAPPING(statement statement, TauGroup_t key);

DESCRIPTION

TAU_MAPPING is used to encapsulate a C++ statement as a timer. A timer will be made, named by the statment, and will profile the statement. The key given can be used with TAU_MAPPING_LINK(3) to retrieve the timer.

EXAMPLE

C/C++ :

int main(int argc, char **argv) {
  Array <2> A(N, N), B(N, N), C(N,N), D(N, N);
  // Original statement:
  // A = B + C + D;
  //Instrumented statement:
  TAU_MAPPING(A = B + C + D; , TAU_USER);
  ...
}

SEE ALSO

TAU_MAPPING_CREATE(3), TAU_MAPPING_LINK(3)